Summary: The GNU versions of common file management utilities.
Name: fileutils
Version: 4.0
Release: 1.3.0
Copyright: GPL
Group: Applications/File
Source0: ftp://alpha.gnu.org/gnu/fetish/fileutils-%{version}.tar.gz
Source1: DIR_COLORS
Source2: colorls.sh
Patch0: fileutils-4.0-strndup-buildfix-gd-1.diff
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info

%description
The fileutils package includes a number of file management utilities.

%prep
%setup -n %{name}-%{version} -q
%patch0 -p1

%build
unset LINGUAS || :
CC="gcc $RPM_OPT_FLAGS" CFLAGS=-O2 ./configure --prefix=%{_prefix} \
	--mandir=${RPM_BUILD_ROOT}%{_mandir}

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT} \
	infodir=$RPM_BUILD_ROOT/%{_infodir} \
	mandir=${RPM_BUILD_ROOT}%{_mandir} install

( cd $RPM_BUILD_ROOT

  mkdir -p .%{_prefix}/bin
  for i in dir dircolors du install mkfifo vdir
  do
    mv -f ./bin/$i .%{_prefix}/bin/$i
  done
  strip -R .comments ./bin/* || :
  strip .%{_prefix}/bin/* || :
  # gzip -9nf .%{_prefix}/info/fileutils*
  gzip -9nf .%{_infodir}/fileutils*
  mkdir -p ./etc/profile.d
  install -c -m 644 %SOURCE1 ./etc
  install -c -m 755 %SOURCE2 ./etc/profile.d
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_infodir}/fileutils.info.gz ]; then
	/sbin/install-info %{_infodir}/fileutils.info.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/fileutils.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
/bin/*
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%config /etc/DIR_COLORS
%config /etc/profile.d/colorls.sh
%{_prefix}/bin/*
%doc %{_mandir}/man1/*
%doc %{_infodir}/fileutils*
%{_prefix}/share/locale/*/*/*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Wed Feb 05 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.0, Release 1.5.1
  - Build fixes.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.0, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Thu Nov 30 2000 Dave Wreski <dave@guardiandigital.com>
- FHS fixes for infodir

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- marked *info.gz as %doc
- made install-info conditional on existence of *info.gz

* Fri Nov 17 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 4.0

* Mon Oct 30 2000 Dave Wreski <dave@guardiandigital.com>
- remove old patches
- upgrade to 4.0.29

* Fri Jul 14 2000 Dave Wreski <dave@guardiandigital.com>
- initial version

